Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.plugins.scala
[Groovy] Class ScalaBasePlugin

    java.lang.Object
      org.gradle.api.plugins.scala.ScalaBasePlugin

All Implemented Interfaces:
  Plugin

    class ScalaBasePlugin

Property Summary
`static String` | `SCALA_RUNTIME_EXTENSION_NAME`
`static String` | `SCALA_TOOLS_CONFIGURATION_NAME` The name of the configuration holding the Scala compiler and tools.
`static String` | `ZINC_CONFIGURATION_NAME`

Constructor Summary
`ScalaBasePlugin(FileResolver fileResolver)`

Method Summary
`void` | `apply(Project project)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### SCALA_RUNTIME_EXTENSION_NAME

    static final String SCALA_RUNTIME_EXTENSION_NAME

### SCALA_TOOLS_CONFIGURATION_NAME

    static final String SCALA_TOOLS_CONFIGURATION_NAME

  The name of the configuration holding the Scala compiler and tools.
  deprecated:
    Typically, usages of `scalaTools` can simply be removed, and the Scala tools libraries to be used will be inferred from the Scala library found on the regular (compile) class path. In some cases, it may be necessary to additionally configure the `scalaClasspath` property of `ScalaCompile` and `ScalaDoc` tasks.

### ZINC_CONFIGURATION_NAME

    static final String ZINC_CONFIGURATION_NAME

Constructor Detail

### ScalaBasePlugin

    @Inject
    ScalaBasePlugin(FileResolver fileResolver)

Method Detail

### apply

    void apply(Project project)

Gradle API 1.10